For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETFetch a published article
      • GETList published articles
      • GETList featured videos
      • GETGet legacy news
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesNews

List published articles

GET
https://api.wynncraft.com/v3/publisher/articles/list/:article_type
GET
/v3/publisher/articles/list/:article_type
$curl https://api.wynncraft.com/v3/publisher/articles/list/blog
200Paginated article list with mixed article types
1{
2 "controller": {
3 "count": 4,
4 "current_count": 4,
5 "pages": 1,
6 "prev": null,
7 "current": 1,
8 "next": null
9 },
10 "results": {
11 "1": {
12 "pk": 101,
13 "title": "Example Event Article",
14 "type": "event",
15 "banner": "event/banner/example-event-banner.gif",
16 "banner_zoom": true,
17 "recap": "Example recap for a published event article.",
18 "visible": true,
19 "start_date": "2026-04-01T12:00:00+00:00",
20 "end_date": "2026-04-15T12:00:00+00:00",
21 "pinned": false,
22 "has_content": true,
23 "published_at": "2026-04-01T12:05:00+00:00"
24 },
25 "2": {
26 "pk": 102,
27 "title": "Example Blog Article",
28 "type": "blog",
29 "banner": "blog/banner/example-blog-banner.png",
30 "banner_zoom": true,
31 "recap": "Example recap for a published blog article.",
32 "visible": true,
33 "start_date": "2026-04-10T18:00:00+00:00",
34 "end_date": null,
35 "pinned": false,
36 "has_content": true,
37 "published_at": "2026-04-10T18:03:00+00:00"
38 },
39 "3": {
40 "pk": 103,
41 "title": "Example Giveaway Article",
42 "type": "giveaway",
43 "banner": "giveaway/banner/example-giveaway-banner.png",
44 "banner_zoom": true,
45 "recap": "Example recap for a published giveaway article.",
46 "visible": true,
47 "start_date": "2026-04-20T09:00:00+00:00",
48 "end_date": "2026-05-01T09:00:00+00:00",
49 "pinned": false,
50 "has_content": true,
51 "published_at": "2026-04-20T09:04:00+00:00"
52 },
53 "4": {
54 "pk": 104,
55 "title": "Example Poll Article",
56 "type": "poll",
57 "banner": "poll/banner/example-poll-banner.png",
58 "banner_zoom": false,
59 "recap": "Example recap for a published poll article.",
60 "visible": true,
61 "start_date": "2026-05-01T15:00:00+00:00",
62 "end_date": "2026-05-08T15:00:00+00:00",
63 "pinned": true,
64 "has_content": true,
65 "published_at": "2026-05-01T15:02:00+00:00"
66 }
67 }
68}
<Note> This endpoint is cached for <Badge intent="success" minimal>2 minutes</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Lists published articles. <Info> Use `article` to return every published article type in the same response. </Info> This endpoint uses the generic pagination response format.
Was this page helpful?
Previous

Fetch a published article

Next

List featured videos

Built with

This endpoint is cached for 2 minutes in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Lists published articles.

Use article to return every published article type in the same response.

This endpoint uses the generic pagination response format.

Path parameters

article_typeenumRequired
Allowed values:

Query parameters

pageintegerOptional>=1

Response

Paginated article list.
controllerobject
resultsmap from strings to objects